Loading...
Searching...
No Matches
osmium::memory Namespace Reference

## Classes

class | CallbackBuffer
class | Collection
class | CollectionFilterIterator
class | CollectionIterator
class | Item
class | ItemIterator
class | ItemIteratorRange

## Typedefs

using | item_size_type = uint32_t

## Enumerations

enum | : std::size_t { align_bytes = 8UL }

## Functions

template<typename TChar , typename TTraits , typename TMember >
std::basic_ostream< TChar, TTraits > & | operator<< (std::basic_ostream< TChar, TTraits > &out, const CollectionIterator< TMember > &iter)
constexpr std::size_t | padded_length (std::size_t length) noexcept
template<typename TChar , typename TTraits , typename TMember >
std::basic_ostream< TChar, TTraits > & | operator<< (std::basic_ostream< TChar, TTraits > &out, const ItemIterator< TMember > &iter)

## Typedef Documentation

## item_size_type

using osmium::memory::item_size_type = typedef uint32_t

## Enumeration Type Documentation

## anonymous enum

anonymous enum : std::size_t

Enumerator
align_bytes |

## Function Documentation

## operator<<() [1/2]

template<typename TChar , typename TTraits , typename TMember >

std::basic_ostream< TChar, TTraits > & osmium::memory::operator<< | ( | std::basic_ostream< TChar, TTraits > & | out,
|  | const CollectionIterator< TMember > & | iter
| ) |  |

inline

## operator<<() [2/2]

template<typename TChar , typename TTraits , typename TMember >

std::basic_ostream< TChar, TTraits > & osmium::memory::operator<< | ( | std::basic_ostream< TChar, TTraits > & | out,
|  | const ItemIterator< TMember > & | iter
| ) |  |

inline

## padded_length()

constexpr std::size_t osmium::memory::padded_length | ( | std::size_t | length | ) |

constexpr noexcept